View Issue Details

IDProjectCategoryView StatusLast Update
0022850mantisbtuipublic2017-06-09 12:54
ReporterdregadAssigned Todregad 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.0 
Target Version2.5.0Fixed in Version2.5.0 
Summary0022850: Installation page layout and style issues
Description

The Installation Options section's title is displayed under _Checking Installation, instead of above the options themselves, and the page looks like a single table instead of 2. This is a regression introduced by MantisBT master c34d71f3 (see 0022401)

Also, the input text boxes are displayed with standard style, instead of Modern UI.

See attached screenshot for illustration

TagsNo tags attached.

Relationships

related to 0022401 closeddregad Installer displays horizontal blue line under "Checking installation" section header 
related to 0022985 closeddregad Initial installation does not continue after clicking install 

Activities

dregad

dregad

2017-05-10 07:17

developer  

install_layout.png (40,247 bytes)
install_layout.png (40,247 bytes)
dregad

dregad

2017-05-10 08:59

developer   ~0056829

PR https://github.com/mantisbt/mantisbt/pull/1104

Related Changesets

MantisBT: master c34d71f3

2017-02-17 18:39:24

dregad

Details Diff
Install: remove extra open/close of divs+table

This caused display of a horizontal blue line under the "Checking
installation" section header.

Fixes 0022401
mod - admin/install.php Diff File

MantisBT: master cf89c0fa

2017-05-10 06:38:36

dregad

Details Diff
Use proper input type 'text' instead of 'textbox'

This allows the correct Modern UI style to be applied.

Fixes 0022850
mod - admin/install.php Diff File

MantisBT: master 624f9057

2017-05-10 06:59:03

dregad

Details Diff
Install: fix layout of check and options sections

Incorrect closing of tables and divs within the various conditional
blocks caused the title of the 'Installation Options' section to be
displayed as a "sub-table" under the 'Checking Installation' section,
followed by the actual install checks and finally the list of
installation options.

This commit moves the closing tags as appropriate, so that
- checks are listed as a table under 'Checking Installation' section
- 'Installation Options' is displayed as an independent section below
the checks

Fixes 0022850
mod - admin/install.php Diff File

Issue History

Date Modified Username Field Change
2017-05-10 07:17 dregad New Issue
2017-05-10 07:17 dregad Status new => assigned
2017-05-10 07:17 dregad Assigned To => dregad
2017-05-10 07:17 dregad File Added: install_layout.png
2017-05-10 07:17 dregad Relationship added related to 0022401
2017-05-10 07:18 dregad Changeset attached => MantisBT master c34d71f3
2017-05-10 07:19 dregad Description Updated View Revisions
2017-05-10 07:19 dregad Additional Information Updated View Revisions
2017-05-10 07:20 dregad Description Updated View Revisions
2017-05-10 08:59 dregad Note Added: 0056829
2017-05-15 04:45 dregad Changeset attached => MantisBT master cf89c0fa
2017-05-15 04:45 dregad Changeset attached => MantisBT master 624f9057
2017-05-15 04:45 dregad Status assigned => resolved
2017-05-15 04:45 dregad Resolution open => fixed
2017-05-15 04:45 dregad Fixed in Version => 2.5.0
2017-06-04 14:58 vboctor Status resolved => closed
2017-06-09 12:54 dregad Relationship added related to 0022985